## GtkColorChooserDialog GtkColorChooserDialog — A dialog for choosing colors |

## Synopsis

    #include <gtk/gtk.h>

    struct              GtkColorChooserDialog;
    GtkWidget *         gtk_color_chooser_dialog_new        (const gchar *title,
                                                             GtkWindow *parent);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----GtkDialog
                                           +----GtkColorChooserDialog

## Implemented Interfaces

GtkColorChooserDialog implements AtkImplementorIface, GtkBuildable and GtkColorChooser.

## Properties

      "show-editor"              gboolean              : Read / Write

## Description

The GtkColorChooserDialog widget is a dialog for choosing a color. It implements the GtkColorChooser interface.

## Details

### struct GtkColorChooserDialog

    struct GtkColorChooserDialog;

### gtk_color_chooser_dialog_new ()

    GtkWidget *         gtk_color_chooser_dialog_new        (const gchar *title,
                                                             GtkWindow *parent);

Creates a new GtkColorChooserDialog.

`title` : | Title of the dialog, or `NULL`. [allow-none]
`parent` : | Transient parent of the dialog, or `NULL`. [allow-none]
Returns : | a new GtkColorChooserDialog

Since 3.4

## Property Details

### The `"show-editor"` property

      "show-editor"              gboolean              : Read / Write

Show editor.

Default value: FALSE

## See Also

GtkColorChooser, GtkDialog